import 'package:krow_core/core.dart';
import '../repositories/experience_repository_interface.dart';

/// Use case for fetching staff skills.
class GetStaffSkillsUseCase implements NoInputUseCase<List<String>> {
  final ExperienceRepositoryInterface _repository;

  GetStaffSkillsUseCase(this._repository);

  @override
  Future<List<String>> call() {
    return _repository.getSkills();
  }
}
